services:
  jupyter:
    extends:
      file: ${TEMPLATES_PATH}
      service: default
    image: quay.io/jupyter/base-notebook:ubuntu-24.04
    container_name: jupyter
    volumes:
      - ${SERVICE_PATH}/jupyter-notebook/data:/home/jovyan/work
    ports:
      - 4013:8888 # Web UI
    networks:
      - ip4net
    command: start-notebook.py --NotebookApp.token='aToken1234'
    labels:
      # Traefik
      - "traefik.enable=true"
      - "traefik.http.routers.jupyter.rule=Host(`jupyter.${LOCAL_DOMAIN}`)"
      - "traefik.http.routers.jupyter.entrypoints=https"
      - "traefik.http.routers.jupyter.tls=true"
